/* ==========================================================================
 Author's custom styles
 ========================================================================== */







.itit__flag {
    background-image: url("img/flags.png");
}




@media (-webkit-min-device-pixel-ratio: 2),
(min-resolution: 192dpi) {
    .itit__flag {
        background-image: url("img/flags@2x.png");
    }
}




.itit {
    width: 100% !important;
}




.itit__country-list {
    max-width: 320px;
    overflow-x: hidden;
    font-size: 14px;
}




.itit--allow-dropdown .itit__flag-container, .itit--separate-dial-code .itit__flag-container {
    z-index: 99;
}




.itit--separate-dial-code .itit__selected-dial-code {
    font-size: 14px;
}




input {
    outline: none;
    box-shadow: none;
}




.is-error {
    border: 1px solid #ff0000 !important;
}




.error-message {
    position: absolute;
    bottom: -3px;
    left: 0;
    z-index: 2;
    width: 100%;
    font-size: 12px;
    line-height: 1;
    color: #ff0000;
    padding-bottom: 3px;
    -moz-transform: translateY(100%);
    -webkit-transform: translateY(100%);
    -o-transform: translateY(100%);
    -ms-transform: translateY(100%);
    transform: translateY(100%);
    -webkit-transition: all 400ms ease;
    -moz-transition: all 400ms ease;
    -ms-transition: all 400ms ease;
    -o-transition: all 400ms ease;
    transition: all 400ms ease;
}




.error-code {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    font-size: 18px;
    line-height: 1;
    text-align: center;
    text-transform: uppercase;
    color: #ff0000;
    padding: 12px 16px;
    background: #ffffff;
    -moz-transform: translateY(-105%);
    -webkit-transform: translateY(-105%);
    -o-transform: translateY(-105%);
    -ms-transform: translateY(-105%);
    transform: translateY(-105%);
    -webkit-transition: all 400ms ease;
    -moz-transition: all 400ms ease;
    -ms-transition: all 400ms ease;
    -o-transition: all 400ms ease;
    transition: all 400ms ease;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    border-radius: 10px;
}


.error-message {
    position: relative;
    bottom: -3px;
    transform: translateY(0%);
}


